# angular.noop

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Empty function that performs no operation whatsoever. This function is useful when writing code in the functional style.

         function foo(callback) {
           var result = calculateResult();
           (callback || angular.noop)(result);
         }

## Usage

    angular.noop();